; NAME:
;      INITHEADER
;
; PURPOSE: 
;      This function initializes a header to be used with fake data
;
; CALLING SEQUENCE:
;      Result = INITHEADER (nh, nx, ny, nobj)
;
; INPUTS:
;      Nh =   The number of lines to leave space for
;      Nx =   The size of the x direction
;      Ny =   The size of the y direction
;      Nobj = The name of the object (a string) 
;
; OUTPUT:
;      A initialized header ready to add info to
;      
; PROCEDURE:
;      Create a string array and add the necessary variables into the
;      header, using sxaddpar
;
; MODIFICATION HISTORY:
;      created Jun 13 2003 by John Dermody

function INITHEADER, nh, nx, ny, obj

; Get variables
user = getenv('USER')
comp = getenv('HOSTNAME')
date = systime()

header = strarr(nh)
header[0] = 'END'
sxaddpar, header, 'SIMPLE', 'T'
sxaddpar, header, 'NAXIS', 2
sxaddpar, header, 'NAXIS1', nx
sxaddpar, header, 'NAXIS2', ny
sxaddpar, header, 'OBJECT', obj
sxaddpar, header, 'ORIGIN', 'FakeSpecs';  name of package
sxaddpar, header, 'DATE-OBS', date
sxaddpar, header, 'OBSERVER', user

return, header

end
